use actix::{Actor, Context};

use crate::data::entity_manager::EntityManager;
use crate::data::user::User;

pub struct UsersActor {
    manager: EntityManager<User>,
}

impl UsersActor {
    pub fn new(manager: EntityManager<User>) -> Self {
        Self { manager }
    }
}

impl Actor for UsersActor {
    type Context = Context<Self>;
}